/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.api;

/**
 * DefaultAnnotationVisitor.
 * @author Gael Lalire
 */
public class DefaultAnnotationVisitor implements IAnnotationVisitor {

    /**
     * An empty visitor.
     */
    public static final DefaultAnnotationVisitor EMPTY_VISITOR = new DefaultAnnotationVisitor();

    /**
     * Empty visit method.
     * @param name annotation name
     * @param value annotation value
     */
    public void visit(final String name, final Object value) {
    }

    /**
     * Empty visit annotation method.
     * @param name annotation name
     * @param desc annotation desc
     * @return itself
     */
    public IAnnotationVisitor visitAnnotation(final String name, final String desc) {
        return this;
    }

    /**
     * Empty visit array method.
     * @param name array name
     * @return itself
     */
    public IAnnotationVisitor visitArray(final String name) {
        return this;
    }

    /**
     * Empty visitEnd method.
     */
    public void visitEnd() {
    }

    /**
     * Empty visit enumeration method.
     * @param name enumeration name
     * @param desc enumeration desc
     * @param value enumeration value
     */
    public void visitEnum(final String name, final String desc, final String value) {
    }


}
