/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ICommonConfigurator.java 3600 2008-07-04 15:25:28Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.api.configurator;

import java.util.Set;

import org.ow2.util.scan.api.IAnnotationVisitor;
import org.ow2.util.scan.api.metadata.structures.JAnnotation;

/**
 * CommonConfigurator.
 * @author Gael Lalire
 */
public interface ICommonConfigurator {

    /**
     * a method invoked when an annotation is found.
     * @param jAnnotation annotation signature
     * @return a visitor
     */
    IAnnotationVisitor getAnnotationVisitor(final JAnnotation jAnnotation);

    /**
     * this method is invoke when all annotation found.
     * @param referencedClasses you may fill this set with class referenced in current metadata
     */
    void configurationComplete(Set<String> referencedClasses);

}
