/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ISpecificMethodMetadata.java 3279 2008-05-21 16:00:00Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.api.metadata.specific;

import org.ow2.util.scan.api.metadata.structures.JMethod;


/**
 * Interface of a specific method metadata.
 * @param <SC> interface of a specific class metadata
 * @param <SM> interface of a specific method metadata
 * @param <SF> interface of a specific field metadata
 * @author Gael Lalire
 */
public interface ISpecificMethodMetadata<
    SC extends ISpecificClassMetadata<SC, SM, SF>,
    SM extends ISpecificMethodMetadata<SC, SM, SF>,
    SF extends ISpecificFieldMetadata<SC, SM, SF>> {

    /**
     * @return parent metadata (class)
     */
    SC getSpecificClassMetadata();

    /**
     * @return JMethod object
     */
    JMethod getJMethod();

}
